Subject: bug#17073: 24.3.50; file-symlink-p doesn't return t as described in the doc

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Mar 2014 21:02:20 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: Juanma Barranquero <[email-masked]>,  [email-masked]
> Date: Tue, 25 Mar 2014 19:37:43 +0100
> 
>   If the leading directories of @var{filename} include symbolic links,
>   this function recursively follows them.
> 
> Is this obvious?

Hard to say.  I think it's pretty obvious to those who are used to
semantics of symlinks (I actually find strange and even confusing the
fact that the manual insists on telling which functions follow links
and in which parts of the filename).  For those who are not used to
symlinks, I'm pretty sure even the above sentence does not say enough.

> If not - doesn't it also belong in the docstring?

Well, we don't normally say about each file-related function whether
it does or doesn't follow symlinks.  So why this one?